Bug 211802 - wrong permissions on /usr/include/NetworkManager
wrong permissions on /usr/include/NetworkManager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 00:00 EDT by Ben Liblit
Modified: 2008-04-20 11:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-20 11:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2006-10-23 00:00:54 EDT
Description of problem:


Version-Release number of selected component (if applicable):

NetworkManager-devel-0.6.4-5.fc6


How reproducible:

Consistently reproducible.


Steps to Reproduce:
1. remove the NetworkManager-devel rpm
2. manually remove /usr/include/NetworkManager
3. reinstall the NetworkManager-devel rpm
4. as non-root, compile any C program that uses NetworkManager headers

Actual results:

Compilation fails due to insufficient permissions on /usr/include/NetworkManager
directory.

Expected results:

Compilation should succeed.  Directory containing NetworkManager's headers
should be world readable and world executable.

Additional info:

NetworkManager-devel package does not claim to own /usr/include/NetworkManager
directory.  The directory is created at package install time, but with
permissions that do not allow access by non-root users.  Incidentally, this will
also cause the directory to be left behind, empty, should NetworkManager-devel
be uninstalled later.
Comment 1 Matthew Miller 2007-04-06 12:04:27 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Ben Liblit 2007-04-07 03:18:14 EDT
The current Fedora Core 6 package as of this date is
NetworkManager-devel-0.6.4-5.fc6.i386.rpm.  That package still does not claim
ownership of /usr/include/NetworkManager, which means that the problems
originally described still appear just as they did before.
Comment 3 Matthew Miller 2007-04-07 07:59:55 EDT
Thank you.
Comment 4 Bug Zapper 2008-04-04 00:03:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Ben Liblit 2008-04-18 23:48:37 EDT
Permissions on /usr/include/NetworkManager are correct when installing
NetworkManager-devel-0.7.0-0.6.7.svn3235.fc8, which is the current Fedora 8
package.  This bug should be resolved as fixed.
Comment 6 Dan Williams 2008-04-20 11:03:38 EDT
ok, thanks!

Note You need to log in before you can comment on or make changes to this bug.